Name:           pam_homecheck
Version:        2.0
Release:        3%{?dist}
Summary:        A PAM module checking the permissions of the home directory

Group:          System Environment/Base
License:        GPLv2
URL:            http://www.opensuse.org/
Source0:        %{name}-%{version}.tar.bz2
Patch0:		pam_homecheck-reject-blocked-homedir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pam-devel
#Requires:       

%description
This is a module for checking the permissions of the home directory
and some dot files. It prints a warning, if the home directory or
some important dot files are world-writeable or are not owned by
the user or by root. If the option "abort" is given, the user is
not able to login, permission is denied.

%prep
%setup -q
%patch0

%build
%configure --libdir=/lib64
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm ${RPM_BUILD_ROOT}/lib64/security/pam_homecheck.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING NEWS
/lib64/security/pam_homecheck.so

%changelog
* Tue Jun 30 2015 Bussi Andrea <bussi@mfn.unipmn.it> - 2.0-3
- Reject login if the homedir is set to 000.

* Mon May 19 2014 btabta@gmail.com - 2.0-2
- Add a build requirement over pam-devel

* Fri Nov 09 2001 kukuk@suse.de - 2.0-1
- Initial version, split from pam package
